<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.9.4" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
 <name>Horde_Lock</name>
 <channel>pear.horde.org</channel>
 <summary>Horde Resource Locking System</summary>
 <description>The Horde resource locking system.</description>
 <lead>
  <name>Ben Klang</name>
  <user>bklang</user>
  <email>ben@alkaloid.net</email>
  <active>yes</active>
 </lead>
 <date>2016-07-02</date>
 <time>12:55:57</time>
 <version>
  <release>2.1.3</release>
  <api>1.1.0</api>
 </version>
 <stability>
  <release>stable</release>
  <api>stable</api>
 </stability>
 <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
 <notes>
* [jan] Avoid notice with Horde_Mongo on PHP 7.
 </notes>
 <contents>
  <dir baseinstalldir="/" name="/">
   <file baseinstalldir="/" md5sum="321bf41f280cf805086dd5a720b37785" name="doc/Horde/Lock/COPYING" role="doc" />
   <file baseinstalldir="/" md5sum="1becb16a1cb9b005f4704342cfbfceb4" name="lib/Horde/Lock/Exception.php" role="php" />
   <file baseinstalldir="/" md5sum="0b57287b63bf3037acae2296b3359161" name="lib/Horde/Lock/Mongo.php" role="php" />
   <file baseinstalldir="/" md5sum="e1673ee42c2b0fd10e758d3a8f37c905" name="lib/Horde/Lock/Null.php" role="php" />
   <file baseinstalldir="/" md5sum="412428b1ad9e95c51c4c424aa765e970" name="lib/Horde/Lock/Sql.php" role="php" />
   <file baseinstalldir="/" md5sum="f54403daeb2634c178b64c6a3dafa4a4" name="lib/Horde/Lock.php" role="php" />
   <file baseinstalldir="/" md5sum="b58d78c00e7a62f391bab25620f5d4aa" name="migration/Horde/Lock/1_horde_lock_base_tables.php" role="data" />
   <file baseinstalldir="/" md5sum="88199e6a178ca8e044c404dd032ce72d" name="migration/Horde/Lock/2_horde_lock_upgrade_column_types.php" role="data" />
   <file baseinstalldir="/" md5sum="adb7b3865abe569f4d4754efe7aacff9" name="migration/Horde/Lock/3_horde_lock_fix_owner_width.php" role="data" />
   <file baseinstalldir="/" md5sum="ff430256c41465870eeca830859cd50e" name="test/Horde/Lock/Storage/MongoTest.php" role="test" />
   <file baseinstalldir="/" md5sum="c448d2f045fad776c2094b0fa65971f8" name="test/Horde/Lock/Storage/SqlTest.php" role="test" />
   <file baseinstalldir="/" md5sum="aec83388ccc3573be03ad525e9f8af3c" name="test/Horde/Lock/Storage/TestBase.php" role="test" />
   <file baseinstalldir="/" md5sum="8bc9518b9c0576806c82d9413489d099" name="test/Horde/Lock/AllTests.php" role="test" />
   <file baseinstalldir="/" md5sum="0a5018f0726d4673850fece3ad4d72c0" name="test/Horde/Lock/bootstrap.php" role="test" />
   <file baseinstalldir="/" md5sum="beffb92a84a5a90e739050ec4dbfb4ce" name="test/Horde/Lock/conf.php.dist" role="test" />
   <file baseinstalldir="/" md5sum="090ce475b8a9773a240e954334988c75" name="test/Horde/Lock/phpunit.xml" role="test" />
  </dir>
 </contents>
 <dependencies>
  <required>
   <php>
    <min>5.3.0</min>
    <max>8.0.0alpha1</max>
    <exclude>8.0.0alpha1</exclude>
   </php>
   <pearinstaller>
    <min>1.7.0</min>
   </pearinstaller>
   <package>
    <name>Horde_Exception</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Support</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
  </required>
  <optional>
   <package>
    <name>Horde_Db</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Log</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Mongo</name>
    <channel>pear.horde.org</channel>
    <min>1.0.0</min>
    <max>2.0.0alpha1</max>
    <exclude>2.0.0alpha1</exclude>
   </package>
  </optional>
 </dependencies>
 <phprelease>
  <filelist>
   <install as="COPYING" name="doc/Horde/Lock/COPYING" />
   <install as="Horde/Lock.php" name="lib/Horde/Lock.php" />
   <install as="Horde/Lock/Exception.php" name="lib/Horde/Lock/Exception.php" />
   <install as="Horde/Lock/Mongo.php" name="lib/Horde/Lock/Mongo.php" />
   <install as="Horde/Lock/Null.php" name="lib/Horde/Lock/Null.php" />
   <install as="Horde/Lock/Sql.php" name="lib/Horde/Lock/Sql.php" />
   <install as="migration/1_horde_lock_base_tables.php" name="migration/Horde/Lock/1_horde_lock_base_tables.php" />
   <install as="migration/2_horde_lock_upgrade_column_types.php" name="migration/Horde/Lock/2_horde_lock_upgrade_column_types.php" />
   <install as="migration/3_horde_lock_fix_owner_width.php" name="migration/Horde/Lock/3_horde_lock_fix_owner_width.php" />
   <install as="Horde/Lock/AllTests.php" name="test/Horde/Lock/AllTests.php" />
   <install as="Horde/Lock/bootstrap.php" name="test/Horde/Lock/bootstrap.php" />
   <install as="Horde/Lock/conf.php.dist" name="test/Horde/Lock/conf.php.dist" />
   <install as="Horde/Lock/phpunit.xml" name="test/Horde/Lock/phpunit.xml" />
   <install as="Horde/Lock/Storage/MongoTest.php" name="test/Horde/Lock/Storage/MongoTest.php" />
   <install as="Horde/Lock/Storage/SqlTest.php" name="test/Horde/Lock/Storage/SqlTest.php" />
   <install as="Horde/Lock/Storage/TestBase.php" name="test/Horde/Lock/Storage/TestBase.php" />
  </filelist>
 </phprelease>
 <changelog>
  <release>
   <version>
    <release>1.0.0alpha1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>alpha</api>
   </stability>
   <date>2011-03-08</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First alpha release for Horde 4.
* Add Null driver.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0beta1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-16</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First beta release for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-22</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First release candidate for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC2</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-29</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* Second release candidate for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-04-06</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First stable release for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-10-11</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Expand width of lock_owner column (Bug #10608).
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0alpha1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2012-07-05</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First alpha release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0beta1</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2012-07-19</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First beta release for Horde 5.
* [rla] Add handling of permanent locks.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-10-30</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* First stable release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.1</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-11-22</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Re-packaged 2.0.0 release.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.2</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-03-05</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Fix retrieving lock list if permanent locks exist (piper@hrz.uni-marburg.de, Bug #12077).
* [jan] Deny exclusive lock if shared locks exist.
* [jan] Don&apos;t make lock non-permanent when resetting a permanent lock.
* [jan] Fix retrieving information for permanent locks.
* [jan] Add unit tests.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.0</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-05-06</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [mms] Add MongoDB driver.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.1</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-05-21</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Fix and improve tests.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.2</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-02-01</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Mark PHP 7 as supported.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.3</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-07-02</date>
   <license uri="http://www.horde.org/licenses/lgpl21">LGPL-2.1</license>
   <notes>
* [jan] Avoid notice with Horde_Mongo on PHP 7.
   </notes>
  </release>
 </changelog>
</package>
